Get a single check
GET
https://api.vercel.com/v1/deployments/{deploymentId}/checks/{checkId}Return a detailed response for a single check.
This endpoint is deprecated
Request
package main
import( "os" "github.com/vercel/vercel" "context" "log")
func main() { s := vercel.New( vercel.WithSecurity(os.Getenv("VERCEL_BEARER_TOKEN")), )
ctx := context.Background() res, err := s.Checks.GetCheck(ctx, "dpl_2qn7PZrx89yxY34vEZPD31Y9XVj6", "check_2qn7PZrx89yxY34vEZPD31Y9XVj6", nil, nil) if err != nil { log.Fatal(err) } if res.Object != nil { // handle response }}Response
{ "id": "icfg_1234567890", "name": "Example Name", "createdAt": "123", "updatedAt": "123", "deploymentId": "example_id", "status": "completed", "conclusion": "canceled", "externalId": "example_id", "output": { "metrics": { "FCP": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "LCP": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "CLS": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "TBT": { "value": "123", "previousValue": "123", "source": "web-vitals" }, "virtualExperienceScore": { "value": "123", "previousValue": "123", "source": "web-vitals" } } }, "completedAt": "123", "path": "string", "blocking": "false", "detailsUrl": "https://example.com", "integrationId": "example_id", "startedAt": "123", "rerequestable": "false"}AuthorizationbearerToken
Default authentication mechanism
200Success
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
The provided token is not from an OAuth2 Client that created the Check
404Check was not found
The deployment was not found
410Error